###############################################################################
# docker image for lava server
###############################################################################

lava: 
	linux: debian Stretch 9.0


deb https://images.validation.linaro.org/production-repo stretch-backports main

wget https://images.validation.linaro.org/staging-repo/staging-repo.key.asc
apt-key add staging-repo.key.asc

apt install postgresql

apt install lava-server

a2dissite 000-default
a2enmod proxy
a2enmod proxy_http
a2ensite lava-server.conf
service apache2 restart


###################

build lava container

## Build Container from dockerfile
docker build -t lava-srv .

## Bookmarks:
* https://validation.linaro.org/static/docs/v2/installing_on_debian.html#debian-installation
* https://github.com/WindRiver-OpenSourceLabs/lava-base
* https://github.com/kernelci/lava-docker

